Skip to main content
`Ctrl`+`K`
scipy.optimize.

# LbfgsInvHessProduct

class scipy.optimize.LbfgsInvHessProduct(*args, **kwargs)

  Linear operator for the L-BFGS approximate inverse Hessian.

  This operator computes the product of a vector with the approximate inverse of the Hessian of the objective function, using the L-BFGS limited memory approximation to the inverse Hessian, accumulated during the optimization.

  Objects of this class implement the `scipy.sparse.linalg.LinearOperator` interface.

  Parameters:
    sk array_like, shape=(n_corr, n)

      Array of n_corr most recent updates to the solution vector. (See [1]).

    yk array_like, shape=(n_corr, n)

      Array of n_corr most recent updates to the gradient. (See [1]).

  Attributes:
    `H`

      Hermitian adjoint.

    `T`

      Transpose this linear operator.

  Methods

  `__call__`(x) | Call self as a function.
  `adjoint`() | Hermitian adjoint.
  `dot`(x) | Matrix-matrix or matrix-vector multiplication.
  `matmat`(X) | Matrix-matrix multiplication.
  `matvec`(x) | Matrix-vector multiplication.
  `rmatmat`(X) | Adjoint matrix-matrix multiplication.
  `rmatvec`(x) | Adjoint matrix-vector multiplication.
  `todense`() | Return a dense array representation of this operator.
  `transpose`() | Transpose this linear operator.

  __mul__ |

  References

  [1]

  Nocedal, Jorge. “Updating quasi-Newton matrices with limited storage.” Mathematics of computation 35.151 (1980): 773-782.